import prisma from '../utilities/Prisma' // Import the global Prisma instance
import { Sprite, SpriteAction } from '@prisma/client'

class SpriteRepository {
  async getById(id: string): Promise<Sprite | null> {
    return prisma.sprite.findUnique({
      where: { id },
      include: {
        spriteActions: true
      }
    })
  }

  async getAll(): Promise<Sprite[]> {
    return prisma.sprite.findMany({
      include: {
        spriteActions: true
      }
    })
  }

  async getSpriteActions(spriteId: string): Promise<SpriteAction[]> {
    return prisma.spriteAction.findMany({
      where: {
        spriteId
      }
    })
  }
}

export default new SpriteRepository()
